# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "dioxus-showcase"
version = "0.0.6"
authors = ["Dodecahedr0x <dodecahedr0x@proton.me>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Facade crate for building storybook-style Dioxus showcases."
readme = false
license = "MIT"

[lib]
name = "dioxus_showcase"
path = "src/lib.rs"

[dependencies.dioxus]
version = "0.7"

[dependencies.dioxus-showcase-core]
version = "0.0.6"

[dependencies.dioxus-showcase-macros]
version = "0.0.6"

[lints.clippy]
all = "warn"

[lints.rust]
unsafe_code = "forbid"
